import request from '@/utils/request'

//放芯查登录
export function loginByPwd(data) {
  return request({
    url: '/fxc/login/username',
    method: 'post',
    headers:{isToken:false},
    data: data
  })
}
export function getFxcToken() {
  return request({
    url: '/fxc/login/username',
    method: 'post',
    headers:{isToken:false},
    data: {
      "username": "13153864796",//"admin",
      "password": "123456",//"t8D!CyUCGlKD",
    }
  })
}
//获取冷链的温度监控数据
export function getFxcChainTemperature(data) {
  return request({
    url: '/fxc/index/listChainTemperature',
    method: 'post',
    data,
  })
}
//冷链详细信息查询
export function getFxcChainInfo(data) {
  return request({
    url: '/fxc/index/getChainInfo',
    method: 'post',
    data,
  })
}
//放芯查冷链位置查询
export function getFxclistChainLocal() {
  return request({
    url: '/fxc/index/listChainLocal',
    method: 'post',
  })
}
//标签在不同产品中用量统计
export function getFxcProductChipState() {
  return request({
    url: '/fxc/index/productChipState',
    method: 'post',
  })
}
//产品标签使用量总和统计
export function getFxcProductTypeChipCount() {
  return request({
    url: '/fxc/index/productTypeChipCount',
    method: 'post',
  })
}
//冷链运输状态查询,以及预警状态数量
export function getFxcChainStatus() {
  return request({
    url: '/fxc/index/getChainStatus',
    method: 'post',
  })
}
//冷链运输状态查询,以及预警状态数量
export function getFxcWarningState() {
  return request({
    url: '/fxc/index/warningState',
    method: 'post',
  })
}